# SPDX-FileCopyrightText: 2020 UMG MeDIC <marcel.parciak@med.uni-goettingen.de>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Changing from Thread ID to Process ID

Revision ID: a47e1c6a405f
Revises: 9d979fe723b2
Create Date: 2020-09-04 08:36:25.550148

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "a47e1c6a405f"
down_revision = "9d979fe723b2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("job_run", sa.Column("process_id", sa.Integer(), nullable=True))
    op.drop_column("job_run", "thread_id")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "job_run",
        sa.Column("thread_id", sa.VARCHAR(), autoincrement=False, nullable=True),
    )
    op.drop_column("job_run", "process_id")
    # ### end Alembic commands ###
